Commit 186c2989 authored by Matthias Klumpp's avatar Matthias Klumpp

Only recommend busybox again

pureos-standard depends on busybox-static now, and this switch to depend
on busybox was only temporary to ensure a smooth transition without
breakage.
parent 60ac9eed
......@@ -25,7 +25,8 @@ Description: generic modular initramfs generator (automation)
Package: initramfs-tools-core
Architecture: all
Multi-Arch: foreign
Depends: klibc-utils (>= 2.0.4-8~), cpio (>= 2.12), kmod, udev, coreutils (>= 8.24), e2fsprogs, ${misc:Depends}, ${busybox:Depends}
Recommends: ${busybox:Recommends}
Depends: klibc-utils (>= 2.0.4-8~), cpio (>= 2.12), kmod, udev, coreutils (>= 8.24), e2fsprogs, ${misc:Depends}
Suggests: bash-completion
Breaks: initramfs-tools (<< 0.121~), ${busybox:Breaks}, busybox-initramfs (<< 1:1.27.2-3)
Replaces: initramfs-tools (<< 0.121~)
......
......@@ -10,7 +10,7 @@ BUSYBOX_MIN_VERSION := 1:1.22.0-17~
override_dh_gencontrol:
echo >> debian/initramfs-tools-core.substvars "busybox:Breaks=$(wordlist 2,100,$(BUSYBOX_PACKAGES:%=, % (<< $(BUSYBOX_MIN_VERSION))))"
echo >> debian/initramfs-tools-core.substvars "busybox:Depends=$(wordlist 2,100,$(BUSYBOX_PACKAGES:%=| % (>= $(BUSYBOX_MIN_VERSION))))"
echo >> debian/initramfs-tools-core.substvars "busybox:Recommends=$(wordlist 2,100,$(BUSYBOX_PACKAGES:%=| % (>= $(BUSYBOX_MIN_VERSION))))"
dh_gencontrol
override_dh_install:
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment